community
cancel
Showing results for 
Search instead for 
Did you mean: 

Alteryx Designer Knowledge Base

Definitive answers from Designer experts.

.NET Engine API Licensing

Alteryx Alumni (Retired)
Created on

Hello #AlteryxAddicts,

tl;dr
tl;dr - Alteryx Partners leveraging the Designer API via .NET should not upgrade to Alteryx Designer 11.8, 2018.1, or 2018.2 because doing so will render API integration inoperable. The issue will be addressed in Alteryx Designer 2018.3 (expected GA end of August 2018) at which time users can safely upgrade.

FAQ
What Happened? We uncovered a previously unknown issue that renders the Designer API from .NET inoperable for Alteryx Designer 11.8, 2018.1, & 2018.2 (NOTE: API code itself is sound, the issue is 100% attributable to licensing).

What is the Designer API? This notice is specifically for APIs accessed via the .NET assemblies such as “Allocate.Net.dll” and “AlteryxAPI.Net.dll”, documentation found on page 1 of: [installdirectory]\Alteryx\APIs\readme.pdf.

Why did this happen? In our work to improve the Alteryx Designer Licensing experience, we inadvertently broke the ability to license API in Designer when using the .NET assemblies. This issue was identified and resolved in a timely manner and is expected to be resolved in Alteryx Designer 2018.3.

What will this problem look like? - The user will receive a message that the API is not licensed.

Who's Impacted? - Anyone leveraging Alteryx API on Designer 11.8, 2018.1, and/or 2018.2.

Who's Not Impacted? Anyone leveraging Alteryx Designer API in Alteryx 11.7 and older. Alteryx Designer APIs accessed via C++ or the CLI were not impacted and will continue to work as expected.

When will the issue be fixed? Alteryx Designer 2018.3 (expected GA end of August 2018)

Next Steps?
If you are using 11.8, 2018.1, 2018.2 and the Alteryx API, this issue directly impact you. We recommend downgrading to 11.7 until 2018.3 is released.
Otherwise, wait until 2018.3 is released and use API integration with it. NOTE: You can also use Alteryx 11.7 and older without interruption until you choose to upgrade to 2018.3 (or future releases).

Questions?
Contact support@alteryx.com

Alter Everything!
--
Alteryx Product Extensibility team

Comments
Alteryx Alumni (Retired)

Quick update: 

 

This issue was resolved with the latest release of Alteryx 2018.3.

 

To upgrade, please see the following important details about new .dlls and folder structure that will be imperative for your application upgrading successfully: 

 

.NET API Changes

 

Happy Developing

 

-Tasha

 

Bolide
Bolide

deleted - duplicate

Bolide
Bolide

Tasha,

 

I've been having issues with the licensing as mentioned above and i'm still not able to get it to work with these changes.

 

I worked with a developer to use the API examples that ship with Alteryx for testing purposes. We were able to get the AlteryxAPISample (Console app) working, but failed to get the FindNearestSample (web app via IIS) to work. We keep receiving "The Feature API is not licensed".

 

Can someone replicate the web app issue and/or get it to work? We are completely stumped so far and are stuck on 11.7 until this gets resolved.

 

Thanks! 

Alteryx Alumni (Retired)

Hey @jarrod,

 

Thanks for reaching out. I'm in contact with the Dev teams to see where we stand with the IIS issue.

 

Hope to have some updates for you soon!

 

-Tasha